Subject: Re: [v6ops] Reused deprecated prefix (0200::/7)

From: Nick Buraglio <[email-masked]>
Date: Tue, 1 Jun 2021 16:53:22 -0500

Did we ever see a response to this? My take is that if the prefix is not
being used for its original intended purpose, then it is functionally
squatting on deprecated address space. A read of the project notes looks as
if it is still pre-production code similar in nature to ZeroTier or the
Slack nebula, the former of which is able to leverage both rfc4193 and
6plane as its addressing schema. While no one can expect to control what is
used on private networks and projects, I don't see this particular issue as
a show stopper for this particular draft, assuming this is in use as a
private addressing schema and not as rfc4548. Based on the site, that
appears to be the case:

*Yggdrasil uses the 0200::/7 range, which is a range deprecated by the
IETF. It has been deprecated since 2004, pending changes to an RFC which
simply never materialised 14 years later. It was decided to use this range
instead of fc00::/7 (which is more typically allocated to private networks)
in order to prevent conflicts with existing ULA ranges.*

nb

On Sun, May 23, 2021 at 3:51 PM Brian E Carpenter <
[email-masked]> wrote:

> Alexander,
>
> Do you mean that the prefix is being used as specified in RFC1888 or in
> some other way?
>
> On a technical detail, the prefix is marked as "reserved" by IANA. The
> logic for that is that if anybody is using 0200::/7 on the public Internet
> for its original experimental purpose, it cannot also be used for any other
> purpose. What is "deprecated" is the method in RFC1888.
>
> Regards
>    Brian Carpenter
>
> On 23-May-21 21:47, Александр
> Иванов wrote:
> > Hello, v6ops maillist members,
> >
> > I want to talk about the 0200::/7 prefix, which is officially deprecated
> (RFC4048), but actually used from 2017 to now.
> >
> > There's a project called Yggdrasil Network - a self-arranging encrypted
> IPv6 network (https://yggdrasil-network.github.io/) <
> https://yggdrasil-network.github.io/)> which utilizes this deprecated
> prefix ...and its network already has members that use it for business
> purposes.
> >
> > How do you think about allocating that prefix as a software-routed
> global unicast address? A future RFC can be merged with
> draft-horley-v6ops-expand-doc-00.
> >
> > I highly appreciate any feedback and help for new to the IETF.
> >
> > Regards,
> > ~ Alexander Ivanov, Russia
> >
> > _______________________________________________
> > v6ops mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/v6ops
> >
>
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops
>

---

From: Mark Smith <[email-masked]>
Date: Wed, 2 Jun 2021 08:00:56 +1000

> in order to prevent conflicts with existing ULA ranges.*

This last statement doesn't make sense and isn't justification for using
this deprecated range.

 ULAs have a 40 bit random number in them "*to prevent conflicts with
existing ULA ranges."*

>> > I want to talk about the 0200::/7 prefix, which is officially
>> deprecated (RFC4048), but actually used from 2017 to now.
>> >

---

From: Nick Buraglio <[email-masked]>
Date: Tue, 1 Jun 2021 17:16:41 -0500

I agree, and pretty much my point. The project is self described as
"proof-of-concept", and as it appears to be  using a deprecated range
within a private overlay, it should not in itself be an impediment to this
draft.

nb

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 2 Jun 2021 11:25:09 +1200

To which draft? I'm not aware of an Yggdrasil draft.

Note that they use all 121 bits after the /7 prefix, I think for cryptographic reasons. So a ULA prefix wouldn't actually do what they want, as I understand it.

Regards
   Brian Carpenter

On 02-Jun-21 10:16, Nick Buraglio wrote:
> I agree, and pretty much my point. The project is self described as "proof-of-concept", and as it appears to be  using a deprecated range within a private overlay, it should not in itself be an impediment to this draft. 
> 
> nb
>  
> 
> 
> 
> On Tue, Jun 1, 2021 at 5:01 PM Mark Smith <[email-masked] <mailto:[email-masked]>> wrote:
> 
> 
> 
>     On Wed, 2 Jun 2021, 07:54 Nick Buraglio, <[email-masked] <mailto:[email-masked]>> wrote:
> 
>         Did we ever see a response to this? My take is that if the prefix is not being used for its original intended purpose, then it is functionally squatting on deprecated address space. A read of the project notes 
looks as if it is still pre-production code similar in nature to ZeroTier 
or the Slack nebula, the former of which is able to leverage both rfc4193 
and 6plane as its addressing schema. While no one can expect to control what is used on private networks and projects, I don't see this particular 
issue as a show stopper for this particular draft, assuming this is in use as a private addressing schema and not as rfc4548. Based on the site, that appears to be the case:
>         /
>         Yggdrasil uses the 0200::/7 range, which is a range deprecated by the IETF. It has been deprecated since 2004, pending changes to an RFC 
which simply never materialised 14 years later. It was decided to use this range instead of fc00::/7 (which is more typically allocated to private 
networks) in order to prevent conflicts with existing ULA ranges./
> 
> 
>     This last statement doesn't make sense and isn't justification for using this deprecated range.
> 
>      ULAs have a 40 bit random number in them "/to prevent conflicts with existing ULA ranges."/
> 
> 
> 
>         nb
> 
> 
> 
>         On Sun, May 23, 2021 at 3:51 PM Brian E Carpenter <[email-masked] <mailto:[email-masked]>> wrote:
> 
>             Alexander,
> 
>             Do you mean that the prefix is being used as specified in RFC1888 or in some other way?
> 
>             On a technical detail, the prefix is marked as "reserved" by IANA. The logic for that is that if anybody is using 0200::/7 on the public Internet for its original experimental purpose, it cannot also be used for any other purpose. What is "deprecated" is the method in RFC1888.
> 
>             Regards
>                Brian Carpenter
> 
>             > I want to talk about the 0200::/7 prefix, which is officially deprecated (RFC4048), but actually used from 2017 to now.
>             >
>             IPv6 network (https://yggdrasil-network.github.io/ <https://yggdrasil-network.github.io/>) <https://yggdrasil-network.github.io/ <https://yggdrasil-network.github.io/>)> which utilizes this deprecated 
prefix ...and its network already has members that use it for business purposes.
>             >
>             > How do you think about allocating that prefix as a software-routed global unicast address? A future RFC can be merged with draft-horley-v6ops-expand-doc-00.
>             >
>             > [email-masked] <mailto:[email-masked]>
>             > https://www.ietf.org/mailman/listinfo/v6ops <https://www.ietf.org/mailman/listinfo/v6ops>
>             >
> 
>             [email-masked] <mailto:[email-masked]>
>             https://www.ietf.org/mailman/listinfo/v6ops <https://www.ietf.org/mailman/listinfo/v6ops>
> 
>         [email-masked] <mailto:[email-masked]>
>         https://www.ietf.org/mailman/listinfo/v6ops <https://www.ietf.org/mailman/listinfo/v6ops>
>

---

From: Nick Buraglio <[email-masked]>
Date: Tue, 1 Jun 2021 18:49:15 -0500

Sigh. I sat on this for a bit while offline and clearly I still have
vacation brain.
A few of us have a draft that hasn’t been submitted yet that proposes
0200::/7 as for use as a lab prefix. I’m conflating this thread with our
other draft that was submitted (expanded documentation space). The 0200::/7
triggered my thoughts, and now I more clearly understand why the responses
were perplexing to me - I'm talking about something only a few folks have
seen! =)

Carry on, I'll be quiet for a bit now.
nb

On Tue, Jun 1, 2021 at 6:25 PM Brian E Carpenter <
[email-masked]> wrote:

> Note that they use all 121 bits after the /7 prefix, I think for
> cryptographic reasons. So a ULA prefix wouldn't actually do what they want,
> as I understand it.
>
> Regards
>    Brian Carpenter
>
> >         Did we ever see a response to this? My take is that if the
> prefix is not being used for its original intended purpose, then it is
> functionally squatting on deprecated address space. A read of the project
> notes
> and 6plane as its addressing schema. While no one can expect to control
> what is used on private networks and projects, I don't see this particular
> issue as a show stopper for this particular draft, assuming this is in use
> as a private addressing schema and not as rfc4548. Based on the site, that
> appears to be the case:
> >         /
> >         Yggdrasil uses the 0200::/7 range, which is a range deprecated
> by the IETF. It has been deprecated since 2004, pending changes to an RFC
> which simply never materialised 14 years later. It was decided to use this
> range instead of fc00::/7 (which is more typically allocated to private
> [email-masked] <mailto:[email-masked]>> wrote:
> >
> >             Alexander,
> >
> >             On a technical detail, the prefix is marked as "reserved" by
> IANA. The logic for that is that if anybody is using 0200::/7 on the public
> Internet for its original experimental purpose, it cannot also be used for
> any other purpose. What is "deprecated" is the method in RFC1888.
> >
> >             Regards
> >                Brian Carpenter
> >
> >             > I want to talk about the 0200::/7 prefix, which is
> officially deprecated (RFC4048), but actually used from 2017 to now.
> >             >
> >             IPv6 network (https://yggdrasil-network.github.io/ <
> https://yggdrasil-network.github.io/>) <
> https://yggdrasil-network.github.io/ <https://yggdrasil-network.github.io/>)> which
> utilizes this deprecated
> >             > How do you think about allocating that prefix as a
> software-routed global unicast address? A future RFC can be merged with
> >             > https://www.ietf.org/mailman/listinfo/v6ops <
> https://www.ietf.org/mailman/listinfo/v6ops>
> >             >
> >
> >             https://www.ietf.org/mailman/listinfo/v6ops <
> https://www.ietf.org/mailman/listinfo/v6ops>
> >
> >         https://www.ietf.org/mailman/listinfo/v6ops <
> https://www.ietf.org/mailman/listinfo/v6ops>
> >
>
>

---

From: Fred Baker <[email-masked]>
Date: Wed, 2 Jun 2021 15:45:48 -0700

The writer indicated that some of the addresses in question were being used for business-related traffic. If that's the case, it should be a prefix allocated according to standard procedures, not squatted on.

> On Jun 1, 2021, at 3:16 PM, Nick Buraglio <[email-masked]> wrote:
> 
> Did we ever see a response to this? My take is that if the prefix is not being used for its original intended purpose, then it is functionally squatting on deprecated address space. A read of the project notes looks as if it is still pre-production code similar in nature to ZeroTier or the Slack nebula, the former of which is able to leverage both rfc4193 and 6plane as its addressing schema. While no one can expect to control what is used on private networks and projects, I don't see this particular issue as a show stopper for this particular draft, assuming this is in use as a private addressing schema and not as rfc4548. Based on the site, that appears to be the case:
> 
> Yggdrasil uses the 0200::/7 range, which is a range deprecated by the IETF. It has been deprecated since 2004, pending changes to an RFC which simply never materialised 14 years later. It was decided to use this range instead of fc00::/7 (which is more typically allocated to private networks) in order to prevent conflicts with existing ULA ranges.
> 
>  ULAs have a 40 bit random number in them "to prevent conflicts with existing ULA ranges."
> 
> 
> 
> nb
> 
> 
> 
> On Sun, May 23, 2021 at 3:51 PM Brian E Carpenter <[email-masked]> wrote:
> Alexander,
> 
> IPv6 network (https://yggdrasil-network.github.io/) <https://yggdrasil-network.github.io/)> which utilizes this deprecated prefix ...and its network already has members that use it for business purposes.
> >

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 3 Jun 2021 13:53:39 +1200

> The writer indicated that some of the addresses in question were being used for business-related traffic. If that's the case, it should be a prefix allocated according to standard procedures, not s…

The way Yggdrasil is designed, that would only work if the IETF instructed IANA to give them a /7.

    Brian

>> On a technical detail, the prefix is marked as "reserved" by IANA. The 
logic for that is that if anybody is using 0200::/7 on the public Internet for its original experimental purpose, it cannot also be used for any other purpose. What is "deprecated" is the method in RFC1888.

---

From: George Michaelson <[email-masked]>
Date: Thu, 3 Jun 2021 14:47:42 +1000

On Sun, May 23, 2021 at 7:48 PM Александр Иванов <[email-masked]> wrote:
> There's a project called Yggdrasil Network - a self-arranging encrypted IPv6 network (https://yggdrasil-network.github.io/) which utilizes this deprecated prefix ...and its network already has members that use it for business purposes.
>

Please bear in mind that repurposing of experimental or narrow-use
delegations direct from IANA into global public routed space, with
potential to become something shared or used by independent
ASN/entities invites questions around what nature of registry function
needs to exist for this range, and also brings the question of global
unicast address management (which is delegated into the RIR process)
to the surface.

I think that needs to be respected, proposing this block of addresses
goes into a changed state:

  * What is the impact on the RIR system? Is this decision something
which should be part of global address policy?
  * What is the impact on the agreement between the IAB and the RIR
regarding management of global unicast address space?
  * If this invokes distribution of subspaces, what community
obligations regarding registration are being done? Where is the Whois,
RDAP and related information?

For like cases, this has usually led to one, or all of the RIR taking
service obligations on board to host a facility.

cheers

-George (I work in APNIC, but I don't work in address policy contexts)

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Thu, 3 Jun 2021 09:09:24 +0000

Humm it smells like HIP and the RFC 7343 Orchid prefix 2001:20::/28

-----Original Message-----
From: v6ops <[email-masked]> on behalf of Brian E Carpenter <[email-masked]>
Date: Wednesday, 2 June 2021 at 01:26
To: "[email-masked]" <[email-masked]>, Mark Smith <[email-masked]>
Cc: v6ops list <[email-masked]>, Александр Иванов <[email-masked]>
Subject: Re: [v6ops] Reused deprecated prefix (0200::/7)

    Regards
       Brian Carpenter